Retrieve checkout configuration
Retrieves the details of an existing checkout configuration.
Required permissions:
checkout_configuration:basic:read
Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Path Parameters
The unique identifier of the checkout configuration.
"ch_xxxxxxxxxxxxxxx"
Response
A successful response
A checkout configuration is a reusable configuration for a checkout, including the plan, affiliate, and custom metadata. Payments and memberships created from a checkout session inherit its metadata.
The affiliate code to use for the checkout configuration
The ID of the company to use for the checkout configuration
The currency to use for the configuration when in 'setup' mode. This is used to target which currency specific payment methods are available. If not provided, it will default to 'usd' when in setup mode.
usd, sgd, inr, aud, brl, cad, dkk, eur, nok, gbp, sek, chf, hkd, huf, jpy, mxn, myr, pln, czk, nzd, aed, eth, ape, cop, ron, thb, bgn, idr, dop, php, try, krw, twd, vnd, pkr, clp, uyu, ars, zar, dzd, tnd, mad, kes, kwd, jod, all, xcd, amd, bsd, bhd, bob, bam, khr, crc, xof, egp, etb, gmd, ghs, gtq, gyd, ils, jmd, mop, mga, mur, mdl, mnt, nad, ngn, mkd, omr, pyg, pen, qar, rwf, sar, rsd, lkr, tzs, ttd, uzs, rub, btc, cny, usdt, kzt, awg, whop_usd, xau The unique identifier for the checkout session.
"ch_xxxxxxxxxxxxxxx"
The metadata to use for the checkout configuration
The mode of the checkout session.
payment, setup The explicit payment method configuration for the session, if any. This currently only works in 'setup' mode. Use the plan's payment_method_configuration for payment method.
The plan to use for the checkout configuration
A URL you can send to customers to complete a checkout. It looks like /checkout/plan_xxxx?session={id}
The URL to redirect the user to after the checkout configuration is created

